import { HttpModule, Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { MailerModule } from '../mailer/mailer.module';
import { UsersModule } from '../users/users.module';
import { Structure, StructureSchema } from './schemas/structure.schema';
import { StructuresController } from './structures.controller';
import { StructuresService } from './structures.service';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: Structure.name, schema: StructureSchema }]),
    HttpModule,
    MailerModule,
    UsersModule,
  ],
  controllers: [StructuresController],
  providers: [StructuresService],
})
export class StructuresModule {}
